Skip to main content
GET
/
api
/
v1
/
agent
/
{agentId}
/
schedules
Get all schedules for a specific agent
curl --request GET \
  --url https://dashboard.sequentum.com/api/v1/agent/{agentId}/schedules \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "configId": 123,
    "name": "<string>",
    "schedule": "<string>",
    "localSchedule": "<string>",
    "timezone": "<string>",
    "nextRunTime": "2023-11-07T05:31:56Z",
    "startTime": "2023-11-07T05:31:56Z",
    "scheduleType": 0,
    "isEnabled": true,
    "runEveryCount": 123,
    "runEveryPeriod": 123,
    "inputParameters": "<string>",
    "parallelism": 123,
    "parallelMaxConcurrency": 123,
    "parallelExport": "Combined",
    "proxyPoolId": 123,
    "serverGroupId": 123,
    "logLevel": "Fatal",
    "logMode": "Text",
    "isExclusive": true,
    "isWaitOnFailure": true,
    "created": "2023-11-07T05:31:56Z",
    "updated": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.sequentum.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authorization header. Example: "Authorization: ApiKey {your-api-key}"

Authorization
string
header
required

OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"

Path Parameters

agentId
integer<int32>
required

The ID of the agent

Response

Returns the list of schedules

id
integer<int64>
configId
integer<int32>
name
string | null
schedule
string | null
localSchedule
string | null
timezone
string | null
nextRunTime
string<date-time> | null
startTime
string<date-time> | null
scheduleType
enum<integer>
Available options:
0,
1,
2,
3
isEnabled
boolean
runEveryCount
integer<int32> | null
runEveryPeriod
integer<int32> | null
inputParameters
string | null
parallelism
integer<int32> | null
parallelMaxConcurrency
integer<int32> | null
parallelExport
enum<string>
Available options:
Combined,
Separated
proxyPoolId
integer<int32> | null
serverGroupId
integer<int32> | null
logLevel
enum<string>
Available options:
Fatal,
Error,
Warning,
Info
logMode
enum<string>
Available options:
Text,
TextAndHtml
isExclusive
boolean
isWaitOnFailure
boolean
created
string<date-time>
updated
string<date-time>